/******************************
 * Written by Steven Marsden
 * Date: July 2010
 * Ryerson University Library
 *****************************/


package com.ryerson.LibMobile;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;

public class AlertBox {
	//Creates an alert box with customizable title and message
	public static void show(String title, String message, Context c){
		final AlertDialog alertDialog = new AlertDialog.Builder(c).create();
	    alertDialog.setTitle(title);
	    alertDialog.setMessage(message);
	    alertDialog.setButton("OK", new DialogInterface.OnClickListener() {
	      public void onClick(DialogInterface dialog, int which) {
	        alertDialog.dismiss();
	    } }); 
	    alertDialog.show();
	}
}
