/******************************
 * Written by Steven Marsden
 * Date: July 2010
 * Ryerson University Library
 *****************************/


package com.ryerson.LibMobile;

import  com.ryerson.LibMobile.R;
import  com.ryerson.LibMobile.R.id;
import  com.ryerson.LibMobile.R.layout;

import android.app.Dialog;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.view.WindowManager.LayoutParams;
import android.widget.Button;
import android.widget.TextView;
import android.net.Uri;

public class PhoneDialog extends Dialog{ 
	//Needed for the action listeners to make changes to the Dialog
	Context con	;
	TextView number;
	String phone;
	
	public PhoneDialog(Context context, String telNum) {
		super(context); 
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		con = context;
		setContentView(R.layout.phonedialog);
		number = (TextView) findViewById(R.id.phoneNum );
		phone = telNum;
	    number.setText(phone);
	    
	}
	

	
	 public void onCreate(Bundle savedInstanceState){
	        super.onCreate(savedInstanceState);
	        //this.setTitle("Login");
	        setContentView(R.layout.phonedialog);
	        number.setText(phone);   
	        LayoutParams params = getWindow().getAttributes(); 
	        params.width = LayoutParams.FILL_PARENT; 
	        getWindow().setAttributes((android.view.WindowManager.LayoutParams) params); 
	        //final TextView number = (TextView) findViewById(R.id.phoneNum );
	     	 
	       ///Create some listeners for the buttons
	       
	        //Cancel Button
	        Button cancelBtn = (Button) findViewById(R.id.cancelButton);
	        cancelBtn.setOnClickListener(new View.OnClickListener() {
	            public void onClick(View v) {
	            	PhoneDialog.this.dismiss();
	            }
	        });
	        
	        //OK Button
	        Button okBtn = (Button) findViewById(R.id.okButton);
	        okBtn.setOnClickListener(new View.OnClickListener() {
	            public void onClick(View v) {
	            	//Dial Phone Number            	
	            	if(!number.equals("")){
	            		String temp = (String)number.getText();
	//            		temp = temp.replaceAll(",", ";");
	            		//temp = temp.replaceAll("#", "%23");
	            		
	            		
	            		con.startActivity(new Intent(Intent.ACTION_CALL, Uri.parse(temp)));
	            	}
	            	PhoneDialog.this.dismiss();
	            }
	        });
	 }
	 
	 
	 public void setTelNum(String num){

	 }
	 
}
