/******************************
 * Written by Steven Marsden
 * Date: July 2010
 * Ryerson University Library
 *****************************/


package com.ryerson.LibMobile;

public class XMLEntry {
	private String title;
	private String location;
	private String callNo;
	private String avail;
	private String recordNo;
	private String bibKey;
	private String infoURL;
	private String preURL;
	private String thumbURL;
	private String preview;
	private String embeddable;
	
	public XMLEntry(){
		title = "";
		location = "";
		callNo = "";
		avail = "";
		recordNo = "";
		bibKey = "";
		infoURL = "";
		preURL = "";
		thumbURL = "";
		preview = "";
		embeddable = "";
	}
	
	
	public String getCallNo() {
		return callNo;
	}
	
	public void setCallNo(String callNo) {
		this.callNo = callNo;
	}
	
	public String getAvail() {
		return avail;
	}
	
	public void setAvail(String avail) {
		this.avail = avail;
	}
	
	public String getRecordNo() {
		return recordNo;
	}
	
	public void setRecordNo(String recordNo) {
		this.recordNo = recordNo;
	}
	
	public String getBibKey() {
		return bibKey;
	}
	public void setBibKey(String bibKey) {
		this.bibKey = bibKey;
	}
	public String getInfoURL() {
		return infoURL;
	}
	
	public void setInfoURL(String infoURL) {
		this.infoURL = infoURL;
	}
	
	public String getPreURL() {
		return preURL;
	}
	
	public void setPreURL(String preURL) {
		this.preURL = preURL;
	}
	
	public String getThumbURL() {
		return thumbURL;
	}
	
	public void setThumbURL(String thumbURL) {
		this.thumbURL = thumbURL;
	}
	
	public String getPreview() {
		return preview;
	}
	
	public void setPreview(String preview) {
		this.preview = preview;
	}
	
	public String getEmbeddable() {
		return embeddable;
	}
	
	public void setEmbeddable(String embeddable) {
		this.embeddable = embeddable;
	}
	
	public void setTitle(String title) {
		this.title = title;
	}
	
	public String getTitle() {
		return title;
	}
	
	public void setLocation(String location) {
		this.location = location;
	}
	
	public String getLocation() {
		return location;
	}
}
